<?php

/**
 * ------------------------------------------------------------------------
 * BlueMind Stats Portal, aka bm-stats
 * ------------------------------------------------------------------------
 * @license : GNU Affero General Public License Version 3 <http://www.gnu.org/licenses>
 * @author  : Pascal SALAUN 
 * @Website : http://www.breizh-ltd.com <http://www.breizh-ltd.com>
 * ------------------------------------------------------------------------
 **/
 

/*
// string default_year()
// Retourne l'annee en cours sauf si 01/01/YYYY
// auquel retourne l'annee precedente
*/

function default_year() {
    if(date("z") == "0" ) { 
        $this_year = date("Y") - 1 ; 
    } else {
         $this_year = date("Y"); 
    };

    return $this_year ;
};


/*
Retourne un tableau d'info concernant la date $date
$date : yyyy-mm-dd | yyyy/mm/dd | yyyymmdd
*/

function yesterday_date_info($date) {

    $this_date = preg_replace("/[^0-9]/","",$date)    ;
    
    if(empty($date)) {
        $mktime_yesterday = mktime(0,0,0,date("m"),date("d")-1,date("y"));
    
    } else {
        $mktime_yesterday = mktime(0,0,0,substr($this_date,4,2),substr($this_date,6,2),substr($this_date,0,4));
    };

    $this_year  = date("Y",$mktime_yesterday);
    $this_week  = date("W",$mktime_yesterday);
    $this_month = date("m",$mktime_yesterday);
    $this_n_day   = date("z",$mktime_yesterday);
    
    $tab['Y'] = $this_year ; 
    $tab['W'] = $this_week ;
    $tab['M'] = $this_month ;
    $tab['D'] = $this_n_day ;

    return $tab ;
};





/*
array list_file(string($this_year))
Retourne un tableau php contenant la liste des images presentes dans
img_stat/[$this_year]/
$date : format yyyy-mm-dd

*/
function list_file($case,$date) {
    Global $path_to_data ;

    if(empty($date)) {    
        $this_year = default_year() ;
    } else {
        $this_year = substr($date,0,4);
    };
    
    $sub_dir = $path_to_data.$_SESSION['domainName']."/img/".$this_year ;
    $aliasDir = "./mailstat/".$_SESSION['domainName']."/img/".$this_year ;
    
    $this_tab = array();
    $dir = opendir($sub_dir);
    while($val=readdir($dir)) {
        if(preg_match("/$case.png/",$val)) {
            $part = explode(".",$val);
			$this_tab[$part[0]] = "$aliasDir/$val";
	    };
    };

    closedir($dir);
    ksort($this_tab);
    return $this_tab ;

};


/*
$date : date format yyyy-mm-dd
string mise_en_page(array($this_tab))
retourne le tableau array($this_tab) preformate HTML

*/

function mise_en_page(&$this_tab,$date,$action) {
    Global $l_bloc_graphe_top_ink, $l_block_submit, $l_block_other_day;
    Global $graph_img_global ;

    $yesterday_date_info = yesterday_date_info($date) ;
     $this_year    = $yesterday_date_info['Y'];
     $this_month   = $yesterday_date_info['M'];
     $this_week    = $yesterday_date_info['W'];
     $this_day_num = $yesterday_date_info['D'];


    $this_page  = "<br>\n";
    $this_page .= "<div class='' style='width:1020px;margin-left: 0px; ' >\n";
    
    $this_page .= "
    <div id='ombree'>
    <h1 id='xmlDarkBlue' class=''>
    <form method='POST' action='?' name='imgfrm'>
        <table class=''>
            <tr>
                <td>
                    $l_block_other_day : 
                </td>
                <td>
                    <input type='text' name=\"this_img_date\" style='width:150px;'/>
                    <script language='JavaScript'>
                    new tcal ({
                        // form name
                        'formname': 'imgfrm',
                        // input name
                        'controlname': 'this_img_date'
                    });
                </script>
                </td>
                <td>
                    <input type='hidden' name='action' value='$action'>
                    <input type='hidden' name='item' value='Graphe'>
                </td>
                <td>
                    <input type='submit' name='Submit' value='$l_block_submit'>
                </td>
            </tr>
        </table>
    </form>
    </h1>
    </div>\n";
    
  
    $this_page .= "<div class='2'>\n";
	if(!empty($this_tab['D'.$this_day_num.'_'.$action])) {
        $this_page .= "<div><img class='shadow' src='".$this_tab['D'.$this_day_num.'_'.$action]."' border='0'></div>\n";    
        $this_page .= "<br>\n";
	};
	if(!empty($this_tab['W'.$this_week.'_'.$action])) {
        $this_page .= "<div><img class='shadow' src='".$this_tab['W'.$this_week.'_'.$action]."' border='0' ></div>\n";
        $this_page .= "<br>\n";
	};
        if(!empty($this_tab['M'.$this_month.'_'.$action])) {
        $this_page .= "<div><img class='shadow' src='".$this_tab['M'.$this_month.'_'.$action]."' border='0'></div>\n";
        $this_page .= "<br>\n";
	};
        if(!empty($this_tab['Y'.$this_year.'_'.$action])) {
        $this_page .= "<div><img class='shadow' src='".$this_tab['Y'.$this_year.'_'.$action]."' border='0'></div>\n";
        $this_page .= "<br>\n";
	};
    $this_page .= "</div>\n";    
    $this_page .= "<hr>\n";
    

    $this_page .= "</div>\n";

    return $this_page;

} ;



?>